Debian Bug report logs - #706029
ITP: libxxx-perl -- debug viewer for Perl data structure

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: dod@debian.org

Date: Tue, 23 Apr 2013 17:45:01 UTC

Owned by: Dominique Dumont <dod@debian.org>

Severity: wishlist

Fixed in version libxxx-perl/0.18-1

Done: Dominique Dumont <dod@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org, Dominique Dumont <dod@debian.org>:
Bug#706029; Package wnpp. (Tue, 23 Apr 2013 17:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org, Dominique Dumont <dod@debian.org>. (Tue, 23 Apr 2013 17:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libxxx-perl -- debug viewer for Perl data structure
Date: Tue, 23 Apr 2013 19:30:22 +0200
Package: wnpp
Owner: Dominique Dumont <dod@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libxxx-perl
  Version         : 0.18
  Upstream Author : Ingy d�t Net <ingy@cpan.org>
* URL             : http://search.cpan.org/dist/XXX/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : debug viewer for Perl data structure

XXX.pm exports a function called XXX that you can put just about anywhere in
your Perl code to make it die with a YAML dump of the arguments to its right.

The charm of XXX-debugging is that it is easy to type, rarely requires parens
and stands out visually so that you remember to remove it.

XXX.pm also exports WWW, YYY and ZZZ which do similar debugging things.


-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 24 Apr 2013 20:06:18 GMT) Full text and rfc822 format available.

Reply sent to Dominique Dumont <dod@debian.org>:
You have taken responsibility. (Sun, 28 Apr 2013 13:04:14 GMT) Full text and rfc822 format available.

Notification sent to dod@debian.org:
Bug acknowledged by developer. (Sun, 28 Apr 2013 13:04:14 GMT) Full text and rfc822 format available.

Message #12 received at 706029-close@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 706029-close@bugs.debian.org
Subject: Bug#706029: fixed in libxxx-perl 0.18-1
Date: Sun, 28 Apr 2013 13:00:05 +0000
Source: libxxx-perl
Source-Version: 0.18-1

We believe that the bug you reported is fixed in the latest version of
libxxx-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominique Dumont <dod@debian.org> (supplier of updated libxxx-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Apr 2013 12:35:01 +0200
Source: libxxx-perl
Binary: libxxx-perl
Architecture: source all
Version: 0.18-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Dominique Dumont <dod@debian.org>
Description: 
 libxxx-perl - debug viewer for Perl data structure
Closes: 706029
Changes: 
 libxxx-perl (0.18-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #706029)
Checksums-Sha1: 
 ded4d52b2933e46b5e4b479686162bd6e931f1f1 1974 libxxx-perl_0.18-1.dsc
 c28c6310956f741a240f2fe7fc0b999b88e0cca5 30048 libxxx-perl_0.18.orig.tar.gz
 d4bd70828f24742b03a2db3dcb63bdfd93d6e1fb 1559 libxxx-perl_0.18-1.debian.tar.gz
 ff7ed3634f6ce8e86fa026b0e2a2c691fc24881d 8250 libxxx-perl_0.18-1_all.deb
Checksums-Sha256: 
 939c1f0af67633e6186844ac5f0d714960233ed86bbe3a778349a407273d2f79 1974 libxxx-perl_0.18-1.dsc
 8c9d24fe3079647316e1cd25db3dd3cb95c7808fce4dd77cc58e67baa1bb2cb6 30048 libxxx-perl_0.18.orig.tar.gz
 216366cb4c0faeb618b8f4fe353086b21cb25bffabeb66aaddb3f40064c46f07 1559 libxxx-perl_0.18-1.debian.tar.gz
 dfeaad1c6b007ce2c23b337be7e796db95d96ceba129100685a5f990cf9ee907 8250 libxxx-perl_0.18-1_all.deb
Files: 
 86952328d8f7ba312e2262861fd03083 1974 perl optional libxxx-perl_0.18-1.dsc
 22d158576c7523c6b595ccf05ab7526f 30048 perl optional libxxx-perl_0.18.orig.tar.gz
 c2c6259b75c295547bfae75b9c520097 1559 perl optional libxxx-perl_0.18-1.debian.tar.gz
 a2a2926a67ef6082235434082bfc623b 8250 perl optional libxxx-perl_0.18-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRd7V7AAoJEMMfT9lJqyts+dkP/337jaAtQPBI9FVRSSmJhxUk
9xwBgyBzDwmq8IjiBhMfAfbZXtxiHe6W7wM6gE/jPgv28gid2XcVy0JXXyHOQIuu
uv2KENqTpwG82RdgOmJR4qZt7NwDTzgHXGJlD/7uG4kbOHVG4TaxjOUQiiScTdga
fvMxiad8dgeDWboRb/0g96smd6r3CABY8tjovXdjXzvm0QdlYGjv49cMn0qi+Xq5
KDb5XzrY9IghrBoxGrDRKpyMTkZ6B2Z4A1hppbSCvABcjp/OQcSW1gRPM8OPxdCr
6kNSaRTA3rvCLI0cMknRypj/VVPcrcQwsNtela+ljvqqe+bs4wa2IZr1NOYN8Lun
kzkvrzJX7E2Q8GN01inpW0Lin9dH5P2bvhdmZLQ1YkEV9ccfIwt63/mulUPxAjjp
EdABRb5ahAum/KGI3Wt60ttqF99zdgEC+nkimJXvbwhUlVZTFvC02ol9GIBmtqlM
CkH1f3MMbzaUqNaKhRoh2NDs/+wZSU3m38iGsmM1fFP5ApP9YS5uLn5EJtKi5xV7
OyaYzap469mPSwbcxM02JxYQAM1PxXA5cbPSYDwFw7uI92yXjt1iCAOd1gQp+Pv+
Is62PcgLq8859JlIR5AlkWNGOLJ0tTFgAysrS5RvuBJ6iM3GJ01NiGyd4XFZZFw2
Hm6pXi1X+PyZBH4IIaiu
=5jKE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 May 2013 07:29:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:10:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.